Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.DualSpace.Type

class petsc4py.PETSc.DualSpace.Type

  Bases: `object`

  The dual space types.

  Attributes Summary

  `BDM` | Object `BDM` of type `str`
  `LAGRANGE` | Object `LAGRANGE` of type `str`
  `REFINED` | Object `REFINED` of type `str`
  `SIMPLE` | Object `SIMPLE` of type `str`

  Attributes Documentation

  BDM: str = BDM

    Object `BDM` of type `str`

  LAGRANGE: str = LAGRANGE

    Object `LAGRANGE` of type `str`

  REFINED: str = REFINED

    Object `REFINED` of type `str`

  SIMPLE: str = SIMPLE

    Object `SIMPLE` of type `str`